net.i2p.crypto

## Enum SigContext

- java.lang.Object
- - java.lang.Enum<SigContext>
  - - net.i2p.crypto.SigContext

- All Implemented Interfaces:
    Serializable, Comparable<SigContext>

      public enum SigContext
      extends Enum<SigContext>

  Defines the context for signing with personalized hashes. See proposal 148.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SigContext.SigContextSpec` Algorithm parameter specification for personalized hash contexts in digital signatures.

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SC_DATAGRAM`
    `SC_I2CP`
    `SC_NETDB`
    `SC_NONE`
    `SC_NTCP`
    `SC_SSU`
    `SC_STREAMING`
    `SC_SU3`
    `SC_TEST`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SigContext.SigContextSpec` | `getSpec()` The AlgorithmParameterSpec.
    `static SigContext` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SigContext[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SC_DATAGRAM

          public static final SigContext SC_DATAGRAM

    - #### SC_I2CP

          public static final SigContext SC_I2CP

    - #### SC_NETDB

          public static final SigContext SC_NETDB

    - #### SC_NONE

          public static final SigContext SC_NONE

    - #### SC_NTCP

          public static final SigContext SC_NTCP

    - #### SC_SSU

          public static final SigContext SC_SSU

    - #### SC_STREAMING

          public static final SigContext SC_STREAMING

    - #### SC_SU3

          public static final SigContext SC_SU3

    - #### SC_TEST

          public static final SigContext SC_TEST

  - ### Method Detail

    - #### getSpec

          public SigContext.SigContextSpec getSpec()

      The AlgorithmParameterSpec. Pass this as an argument in setParameter() to the Blake sign/verify engines.

    - #### valueOf

          public static SigContext valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static SigContext[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SigContext c : SigContext.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared